# Class CIM_AllocatedFromStoragePool
extends CIM_Dependency

AllocatedFromStoragePool is an association describing how LogicalElements are allocated from underlying StoragePools. These elements typically would be subclasses of StorageExtents or StoragePools.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_AllocatedFromStoragePool

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | AllocatedFromStoragePool is an association describing how LogicalElements are allocated from underlying StoragePools. These elements typically would be subclasses of StorageExtents or StoragePools.
UMLPackagePath | string | CIM::Device::StorageServices
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
SpaceConsumed | uint64 |
Description | string | Space consumed from this Pool, in bytes. This value MUST be maintained so that, relative to the Antecedent StoragePool, it is possible to compute TotalManagedSpace as StoragePool.RemainingManagedSpace plus the sum of SpaceConsumed from all of the AllocatedFromStoragePool references from the antecedent StoragePool.
ModelCorrespondence | string | CIM_StoragePool.TotalManagedSpace, CIM_StoragePool.RemainingManagedSpace
Required | boolean | true
Units | string | Bytes

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_AllocatedFromStoragePool | CIM_StoragePool
Dependent | CIM_AllocatedFromStoragePool | CIM_LogicalElement

## Class Methods